#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int T, x;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d", &x);
        printf("%d\n", x >> 1);
    }
    return 0;
}
